Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.spi.mpeg.sampled.file
Class MpegAudioFormat

    java.lang.Object
      javax.sound.sampled.AudioFormat
          org.tritonus.share.sampled.TAudioFormat
              javazoom.spi.mpeg.sampled.file.MpegAudioFormat

public class MpegAudioFormat
extends org.tritonus.share.sampled.TAudioFormat

Nested Class Summary

Nested classes inherited from class javax.sound.sampled.AudioFormat
`javax.sound.sampled.AudioFormat.Encoding`

Field Summary

Fields inherited from class javax.sound.sampled.AudioFormat
`bigEndian, channels, encoding, frameRate, frameSize, sampleRate, sampleSizeInBits`

Constructor Summary
`MpegAudioFormat(javax.sound.sampled.AudioFormat.Encoding encoding, float nFrequency, int SampleSizeInBits, int nChannels, int FrameSize, float FrameRate, boolean isBigEndian, java.util.Map properties)` Constructor.

Method Summary
`java.util.Map` | `properties()` MP3 audio format parameters.

Methods inherited from class org.tritonus.share.sampled.TAudioFormat
`setProperty`

Methods inherited from class javax.sound.sampled.AudioFormat
`getChannels, getEncoding, getFrameRate, getFrameSize, getSampleRate, getSampleSizeInBits, isBigEndian, matches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MpegAudioFormat

    public MpegAudioFormat(javax.sound.sampled.AudioFormat.Encoding encoding,
                           float nFrequency,
                           int SampleSizeInBits,
                           int nChannels,
                           int FrameSize,
                           float FrameRate,
                           boolean isBigEndian,
                           java.util.Map properties)

  Constructor.

Parameters:
  `encoding` -
  `nFrequency` -
  `SampleSizeInBits` -
  `nChannels` -
  `FrameSize` -
  `FrameRate` -
  `isBigEndian` -
  `properties` -

Method Detail

### properties

    public java.util.Map properties()

  MP3 audio format parameters. Some parameters might be unavailable. So availability test is required before reading any parameter.
  AudioFormat parameters.
  - bitrate [Integer], bitrate in bits per seconds, average bitrate for VBR enabled stream.
  - vbr [Boolean], VBR flag.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005